id: mirth-connect-detect

info:
  name: Mirth Connect Admin Panel - Detect
  author: rxerium
  severity: info
  description: |
    Detects Mirth Connect Administrator panel.
  metadata:
    verified: true
    max-request: 1
    product: mirth_connect
    shodan-query: title:"mirth connect administrator"
  tags: mirth-connect,tech,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<title>Mirth Connect Administrator</title>"

      - type: status
        status:
          - 200
# digest: 490a00463044022018445475aca2661212870c4604e05dba9870876db6929dd5bad16caad0803a11022053fcf28480c7f147ec92eb543e267ea7c7ca0a3d64cdf336ff89b4cfe838a8f4:922c64590222798bb761d5b6d8e72950